/*******************************************************************************
* File Name: NeoPixel_StatusIntReg.h  
* Version 1.90
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_NeoPixel_StatusIntReg_H) /* CY_STATUS_REG_NeoPixel_StatusIntReg_H */
#define CY_STATUS_REG_NeoPixel_StatusIntReg_H

#include "cyfitter.h"

#if ((CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC4) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC5))
    #include "cytypes.h"
    #include "CyLib.h"
#else
    #include "syslib/cy_syslib.h"
#endif

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 statusState;

} NeoPixel_StatusIntReg_BACKUP_STRUCT;


/***************************************
*        Function Prototypes
***************************************/

uint8 NeoPixel_StatusIntReg_Read(void) ;
void NeoPixel_StatusIntReg_InterruptEnable(void) ;
void NeoPixel_StatusIntReg_InterruptDisable(void) ;
void NeoPixel_StatusIntReg_WriteMask(uint8 mask) ;
uint8 NeoPixel_StatusIntReg_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define NeoPixel_StatusIntReg_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define NeoPixel_StatusIntReg_INPUTS              7


/***************************************
*             Registers
***************************************/

/* Status Register */
#define NeoPixel_StatusIntReg_Status             (* (reg8 *) NeoPixel_StatusIntReg_sts_intr_sts_reg__STATUS_REG )
#define NeoPixel_StatusIntReg_Status_PTR         (  (reg8 *) NeoPixel_StatusIntReg_sts_intr_sts_reg__STATUS_REG )
#define NeoPixel_StatusIntReg_Status_Mask        (* (reg8 *) NeoPixel_StatusIntReg_sts_intr_sts_reg__MASK_REG )
#define NeoPixel_StatusIntReg_Status_Aux_Ctrl    (* (reg8 *) NeoPixel_StatusIntReg_sts_intr_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_NeoPixel_StatusIntReg_H */


/* [] END OF FILE */
